(function ($) {
  "use strict";
  Drupal.openy_tour = Drupal.openy_tour || {};

  $(document).ajaxSuccess(function() {
    var queryString = decodeURI(window.location.search);
    if (/tour=?/i.test(queryString) || window.location.hash == '#tour=1') {
      var processed = true;
      $('.joyride-tip-guide').each(function() {
        if ($(this).css('display') == 'block' && processed) {
          $(this).find('.joyride-next-tip').trigger('click');
          processed = false;
        }
      });
    }
  });

  Drupal.behaviors.openy_tour = {
    attach: function (context, settings) {
      $('body').on('tourStart', function () {
        window.location.hash = 'tour=1';
        Drupal.openy_tour.click_button();
      });
      $('body').on('tourStop', function () {
        window.location.hash = '';
      });
      Drupal.openy_tour.focus_on_button();
    }
  };

  Drupal.openy_tour.click_button = function () {
    $('.joyride-tip-guide').each(function() {
      // Hide original next button if custom is appear.
      if ($(this).find('.openy-click-button').length > 0) {
        $(this).find('.joyride-next-tip').hide();
      }
    });
    $('.openy-click-button').on('click', function (e) {
      e.preventDefault();
      var selector = $(this).data('tour-selector'),
          element = {};
      // Click on link if class/id is provided.
      if ($(selector).length > 0) {
        element = $(selector);
      }
      // Click on input if data selector is provided.
      if ($('[data-drupal-selector="' + selector + '"]').length > 0) {
        element = $('[data-drupal-selector="' + selector + '"]');
        element.parents('details').attr('open', true);
        element.trigger('mousedown');
      }
      else {
        element.parents('details').attr('open', true);
        element.trigger('click');
        $(this)
          .hide()
          .parent()
          .parent()
          .find('.joyride-next-tip')
          .trigger('click');
      }
    });
  };

  Drupal.openy_tour.focus_on_button = function () {
    $(document).click(function(e){
      if ($('.joyride-next-tip').on('clicked')) {
        $('.openy-click-button:visible').focus();
      }
    });
  };

})(jQuery);
